%define pkg_name        SVG
%define pkg_version     2.36
%define rpm_pkg_version 2.36
%define rpm_pkg_release 1.n0i.6

Summary:       Generate SVG images and files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RO/RONAN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

# useless-explicit-provides
%global perl_filter_prov 'perl\\(SVG::Element\\)$'


%description
SVG is a pure Perl module which generates a nested data structure containing
the DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG,
you can generate SVG objects, embed other SVG instances into it, access the
DOM object, create and access javascript, and generate SMIL animation content.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 2.36-1.n0i.6
- version 2.36

* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 2.34-1.n0i.5
- version 2.34

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.33-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 2.33-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- version 2.33

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.32-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Wed Feb 09 2005 Marius Feraru <altblue@n0i.net> 0:2.32-1.n0i.1
- version 2.32
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
